# CustomChildCreator

Extends

Interface for elements that want to be able to create custom child elements at runtime.

author | keith.rogers@unit4.com
package | phing.parser

### Methods

## Creates the object for the child element

    customChildCreator(string $elementName, \Project $project) : object

### Arguments

#### $elementName

`string`

the name of the element that has been requested

#### $project

`\Project`

The project the element is in

### Response

`object`

Returns the nested element